Statalist


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: general -adoupdate- issue [was: st: xtabond2 update issue]


From   Michael Hanson <mshanson@mac.com>
To   statalist@hsphsun2.harvard.edu
Subject   Re: general -adoupdate- issue [was: st: xtabond2 update issue]
Date   Tue, 14 Apr 2009 11:19:57 -0400

Martin:

I am seeing this issue today with -adoupdate-, as both -xtabond2- and -texdoc- are perpetually listed as needing updates on my computer. My version of -xtabond2- is the same as yours. My version of - texdoc- is:

. which texdoc
/Library/Application Support/Stata/ado/plus/t/texdoc.ado
*! version 2.0.4  03apr2009  Ben Jann

(As you can see, I am running Mac OS X rather than Windows, so I suspect we can eliminate the OS as a source of the problem.) Do you have -texdoc- installed? What happens if you (re)install it?

I experienced this same problem with -adoupdate- about 6 to 9 months ago -- although my memory is that another package (or packages) was perpetually in need of update. I thought I "solved" that instance by deleting and then re-installing the "offending" packages, but no amount of uninstalling and re-installing -xtabond2- and -texdoc- has any effect on the reported need for these two to be -update-d today.


All:

I think it would be helpful if there were a -which- subcommand to - ssc-, as the information provided by -ssc describe foo- and -which foo- do not appear to correspond closely enough to allow me to determine if a locally installed package is identical to the current version in the SSC archive. Although perhaps I am not reading the available information correctly.

It would be useful to know if anyone else is experiencing this problem -- although the general lack of response suggests not. So what could be causing Martin and I, on different platforms and different continents, to experience the same problem?

Best,
Mike

On Apr 14, 2009, at 8:30 AM, Martin Weiss wrote:

Dear Statalisters,

I am having trouble with -ssc d xtabond2- and -adoupdate-. Every time I run -adoupdate-, -xtabond2- is regarded as "updated on server" although I do
have the latest version. -which xtabond2- gives me

. which xtabond2
c:\ado\plus\x\xtabond2.ado
*! xtabond2 2.8.2 16 March 2009

After updating, I can run -adoupdate- again, and it constantly comes back with this message. I also uninstalled and reinstalled -xtabond2- back and forth, but the behavior remains the same. Have others observed it as well?

HTH
Martin



*
*   For searches and help try:
*   http://www.stata.com/help.cgi?search
*   http://www.stata.com/support/statalist/faq
*   http://www.ats.ucla.edu/stat/stata/

*
*   For searches and help try:
*   http://www.stata.com/help.cgi?search
*   http://www.stata.com/support/statalist/faq
*   http://www.ats.ucla.edu/stat/stata/



© Copyright 1996–2014 StataCorp LP   |   Terms of use   |   Privacy   |   Contact us   |   What's new   |   Site index